Ubuntu

XStartupError: X server exited with return code 1

Reported by Ceesa on 2009-07-13
638
This bug affects 99 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: ubiquity

cd booted, select install, changed mind & hit ctr-alt-del several times, ubuntu continued to load, at shell prompt, i typed startx , got error and crash report.

this page suggests adding a number of files, but it seem that only one can be attached via extra options.

--- partman ---

/bin/partman: *******************************************************
/lib/partman/init.d/30parted: *******************************************************
parted_server: ======= Starting the server
parted_server: main_loop: iteration 1
parted_server: Opening infifo
/lib/partman/init.d/30parted: IN: OPEN =dev=sda /dev/sda
parted_server: Read command: OPEN
parted_server: command_open()
parted_server: Request to open =dev=sda
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: OK

parted_server: Note =dev=sda as unchanged
parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 2
parted_server: Opening infifo
/lib/partman/init.d/30parted: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 3
parted_server: Opening infifo
/lib/partman/init.d/35dump: *******************************************************
/lib/partman/init.d/35dump: IN: DUMP =dev=sda
parted_server: Read command: DUMP
parted_server: command_dump()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 4
parted_server: Opening infifo
Device: yes
Model: ATA ST320011A
Path: /dev/sda
Sector size: 512
Sectors: 39102336
Sectors/track: 63
Heads: 255
Cylinders: 2434
Partition table: yes
Type: msdos
Partitions: # id length type fs path name
(0,0,0) (0,0,62) -1 0-32255 32256 primary label /dev/sda-1
(0,1,0) (2326,254,62) 1 32256-19140226559 19140194304 primary ext3 /dev/sda1
(2327,0,0) (2433,254,62) 2 19140226560-20020331519 880104960 primary extended /dev/sda2
(2327,0,0) (2327,0,62) -1 19140226560-19140258815 32256 logical label /dev/sda-1
(2327,1,0) (2433,254,62) 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5
(2434,0,0) (2434,1,62) -1 20020331520-20020396031 64512 primary label /dev/sda-1
Dump finished.
/lib/partman/init.d/70update_partitions: *******************************************************
/lib/partman/init.d/70update_partitions: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 5
parted_server: Opening infifo
/lib/partman/update.d/20bootable: *******************************************************
/lib/partman/update.d/20bootable: IN: GET_FLAGS =dev=sda 32256-19140226559
parted_server: Read command: GET_FLAGS
parted_server: command_get_flags()
parted_server: Opening outfifo
parted_server: partition_with_id(32256-19140226559)
parted_server: Partition found (32256-19140226559)
parted_server: OUT: OK

parted_server: OUT: boot

parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 6
parted_server: Opening infifo
/lib/partman/update.d/20detected_filesystem: *******************************************************
/lib/partman/update.d/20detected_filesystem: IN: GET_FILE_SYSTEM =dev=sda 32256-19140226559
parted_server: Read command: GET_FILE_SYSTEM
parted_server: command_get_file_system()
parted_server: Opening outfifo
parted_server: command_get_file_system: File system for partition 32256-19140226559
parted_server: partition_with_id(32256-19140226559)
parted_server: OUT: OK

parted_server: named_partition_is_virtual(=dev=sda,63,37383254)
parted_server: no
parted_server: OUT: ext3

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 7
parted_server: Opening infifo
/lib/partman/update.d/50filesystems: *******************************************************
/lib/partman/update.d/60basicmethods: *******************************************************
/lib/partman/update.d/60swap: *******************************************************
/lib/partman/visual.d/10type: *******************************************************
/lib/partman/visual.d/10type: IN: USES_EXTENDED =dev=sda
parted_server: Read command: USES_EXTENDED
parted_server: command_uses_extended()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: yes

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 8
parted_server: Opening infifo
/lib/partman/visual.d/15size: *******************************************************
/lib/partman/visual.d/35name: *******************************************************
/lib/partman/visual.d/35name: IN: USES_NAMES =dev=sda
parted_server: Read command: USES_NAMES
parted_server: command_uses_names()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: no

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 9
parted_server: Opening infifo
/lib/partman/update.d/20bootable: *******************************************************
/lib/partman/update.d/20bootable: IN: GET_FLAGS =dev=sda 19140258816-20020331519
parted_server: Read command: GET_FLAGS
parted_server: command_get_flags()
parted_server: Opening outfifo
parted_server: partition_with_id(19140258816-20020331519)
parted_server: Partition found (19140258816-20020331519)
parted_server: OUT: OK

parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 10
parted_server: Opening infifo
/lib/partman/update.d/20detected_filesystem: *******************************************************
/lib/partman/update.d/20detected_filesystem: IN: GET_FILE_SYSTEM =dev=sda 19140258816-20020331519
parted_server: Read command: GET_FILE_SYSTEM
parted_server: command_get_file_system()
parted_server: Opening outfifo
parted_server: command_get_file_system: File system for partition 19140258816-20020331519
parted_server: partition_with_id(19140258816-20020331519)
parted_server: OUT: OK

parted_server: named_partition_is_virtual(=dev=sda,37383318,39102209)
parted_server: no
parted_server: OUT: linux-swap

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 11
parted_server: Opening infifo
/lib/partman/update.d/50filesystems: *******************************************************
/lib/partman/update.d/60basicmethods: *******************************************************
/lib/partman/update.d/60swap: *******************************************************
/lib/partman/visual.d/10type: *******************************************************
/lib/partman/visual.d/10type: IN: USES_EXTENDED =dev=sda
parted_server: Read command: USES_EXTENDED
parted_server: command_uses_extended()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: yes

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 12
parted_server: Opening infifo
/lib/partman/visual.d/15size: *******************************************************
/lib/partman/visual.d/35name: *******************************************************
/lib/partman/visual.d/35name: IN: USES_NAMES =dev=sda
parted_server: Read command: USES_NAMES
parted_server: command_uses_names()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: no

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 13
parted_server: Opening infifo
/lib/partman/init.d/75auto_mountpoints: *******************************************************
/lib/partman/init.d/80autouse_swap: *******************************************************
/lib/partman/init.d/80autouse_swap: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 14
parted_server: Opening infifo
/lib/partman/init.d/80autouse_swap: IN: PARTITION_INFO =dev=sda 19140258816-20020331519
parted_server: Read command: PARTITION_INFO
parted_server: command_partition_info()
parted_server: Opening outfifo
parted_server: command_partition_info: info for partition with id 19140258816-20020331519
parted_server: partition_with_id(19140258816-20020331519)
parted_server: OUT: OK

parted_server: command_partition_info: partition found
parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 15
parted_server: Opening infifo
/lib/partman/update.d/20bootable: *******************************************************
/lib/partman/update.d/20bootable: IN: GET_FLAGS =dev=sda 19140258816-20020331519
parted_server: Read command: GET_FLAGS
parted_server: command_get_flags()
parted_server: Opening outfifo
parted_server: partition_with_id(19140258816-20020331519)
parted_server: Partition found (19140258816-20020331519)
parted_server: OUT: OK

parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 16
parted_server: Opening infifo
/lib/partman/update.d/20detected_filesystem: *******************************************************
/lib/partman/update.d/50filesystems: *******************************************************
/lib/partman/update.d/60basicmethods: *******************************************************
/lib/partman/update.d/60swap: *******************************************************
/lib/partman/update.d/60swap: IN: CHANGE_FILE_SYSTEM =dev=sda 19140258816-20020331519 linux-swap
parted_server: Read command: CHANGE_FILE_SYSTEM
parted_server: Opening outfifo
parted_server: command_change_file_system(19140258816-20020331519,linux-swap)
parted_server: partition_with_id(19140258816-20020331519)
parted_server: Already using filesystem linux-swap
parted_server: OUT: OK

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 17
parted_server: Opening infifo
/lib/partman/visual.d/10type: *******************************************************
/lib/partman/visual.d/10type: IN: USES_EXTENDED =dev=sda
parted_server: Read command: USES_EXTENDED
parted_server: command_uses_extended()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: yes

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 18
parted_server: Opening infifo
/lib/partman/visual.d/15size: *******************************************************
/lib/partman/visual.d/35name: *******************************************************
/lib/partman/visual.d/35name: IN: USES_NAMES =dev=sda
parted_server: Read command: USES_NAMES
parted_server: command_uses_names()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: no

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 19
parted_server: Opening infifo
/lib/partman/display.d/10initial_auto: *******************************************************
/lib/partman/automatically_partition/10resize_use_free/choices: *******************************************************
/lib/partman/automatically_partition/10resize_use_free/choices: *******************************************************
/lib/partman/automatically_partition/10resize_use_free/choices: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
/lib/partman/automatically_partition/10resize_use_free/choices: paragraph: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1
/lib/partman/automatically_partition/10resize_use_free/choices: paragraph: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5
parted_server: main_loop: iteration 20
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: IN: USES_EXTENDED =dev=sda
parted_server: Read command: USES_EXTENDED
parted_server: command_uses_extended()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: yes

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 21
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: IN: GET_MAX_PRIMARY =dev=sda
parted_server: Read command: GET_MAX_PRIMARY
parted_server: command_get_max_primary()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 4

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 22
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: 1 primary partitions, 1 logical partitions
/lib/partman/automatically_partition/10resize_use_free/choices: filtered partition list:
/lib/partman/automatically_partition/10resize_use_free/choices: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1
5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5
/lib/partman/automatically_partition/10resize_use_free/choices: IN: VIRTUAL =dev=sda 32256-19140226559
parted_server: Read command: VIRTUAL
parted_server: command_virtual()
parted_server: Opening outfifo
parted_server: is virtual partition with id 32256-19140226559
parted_server: partition_with_id(32256-19140226559)
parted_server: OUT: OK

parted_server: named_partition_is_virtual(=dev=sda,63,37383254)
parted_server: no
parted_server: OUT: no

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 23
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: IN: GET_VIRTUAL_RESIZE_RANGE =dev=sda 32256-19140226559
parted_server: Read command: GET_VIRTUAL_RESIZE_RANGE
parted_server: command_get_virtual_resize_range()
parted_server: Opening outfifo
parted_server: partition_with_id(32256-19140226559)
parted_server: OUT: OK

parted_server: OUT: 512 19140194304 19140194304

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 24
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: IN: GET_RESIZE_RANGE =dev=sda 19140258816-20020331519
parted_server: Read command: GET_RESIZE_RANGE
parted_server: command_get_resize_range()
parted_server: Opening outfifo
parted_server: partition_with_id(19140258816-20020331519)
parted_server: named_partition_is_virtual(=dev=sda,37383318,39102209)
parted_server: no
parted_server: OUT: OK

parted_server: OUT: 4096 880072704 880072704

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 25
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: dev: '/var/lib/partman/devices/=dev=sda', totalfree: '0', diskfree: '15977697280', diskpart: '/var/lib/partman/devices/=dev=sda//32256-19140226559', diskpath: '/dev/sda1'
/lib/partman/automatically_partition/10resize_use_free/choices: Found resizable partition '/var/lib/partman/devices/=dev=sda//32256-19140226559' (/dev/sda1) with 15977697280 bytes free
/lib/partman/automatically_partition/20some_device/choices: *******************************************************
/lib/partman/automatically_partition/50biggest_free/choices: *******************************************************
/lib/partman/automatically_partition/50biggest_free/choices: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 26
parted_server: Opening infifo
/lib/partman/automatically_partition/80custom/choices: *******************************************************
/lib/partman/automatically_partition/10resize_use_free/do_option: *******************************************************
/lib/partman/automatically_partition/10resize_use_free/do_option: *******************************************************
/lib/partman/automatically_partition/10resize_use_free/do_option: IN: VIRTUAL =dev=sda 32256-19140226559
parted_server: Read command: VIRTUAL
parted_server: command_virtual()
parted_server: Opening outfifo
parted_server: is virtual partition with id 32256-19140226559
parted_server: partition_with_id(32256-19140226559)
parted_server: OUT: OK

parted_server: named_partition_is_virtual(=dev=sda,63,37383254)
parted_server: no
parted_server: OUT: no

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 27
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/do_option: IN: GET_VIRTUAL_RESIZE_RANGE =dev=sda 32256-19140226559
parted_server: Read command: GET_VIRTUAL_RESIZE_RANGE
parted_server: command_get_virtual_resize_range()
parted_server: Opening outfifo
parted_server: partition_with_id(32256-19140226559)
parted_server: OUT: OK

parted_server: OUT: 512 19140194304 19140194304

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 28
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/do_option: IN: PARTITION_INFO =dev=sda 32256-19140226559
parted_server: Read command: PARTITION_INFO
parted_server: command_partition_info()
parted_server: Opening outfifo
parted_server: command_partition_info: info for partition with id 32256-19140226559
parted_server: partition_with_id(32256-19140226559)
parted_server: OUT: OK

parted_server: command_partition_info: partition found
parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 29
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: *******************************************************
/lib/partman/automatically_partition/10resize_use_free/choices: *******************************************************
/lib/partman/automatically_partition/10resize_use_free/choices: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
/lib/partman/automatically_partition/10resize_use_free/choices: paragraph: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1
/lib/partman/automatically_partition/10resize_use_free/choices: paragraph: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5
parted_server: main_loop: iteration 30
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: IN: USES_EXTENDED =dev=sda
parted_server: Read command: USES_EXTENDED
parted_server: command_uses_extended()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: yes

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 31
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: IN: GET_MAX_PRIMARY =dev=sda
parted_server: Read command: GET_MAX_PRIMARY
parted_server: command_get_max_primary()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 4

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 32
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: 1 primary partitions, 1 logical partitions
/lib/partman/automatically_partition/10resize_use_free/choices: filtered partition list:
/lib/partman/automatically_partition/10resize_use_free/choices: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1
5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5
/lib/partman/automatically_partition/10resize_use_free/choices: IN: VIRTUAL =dev=sda 32256-19140226559
parted_server: Read command: VIRTUAL
parted_server: command_virtual()
parted_server: Opening outfifo
parted_server: is virtual partition with id 32256-19140226559
parted_server: partition_with_id(32256-19140226559)
parted_server: OUT: OK

parted_server: named_partition_is_virtual(=dev=sda,63,37383254)
parted_server: no
parted_server: OUT: no

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 33
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: IN: GET_VIRTUAL_RESIZE_RANGE =dev=sda 32256-19140226559
parted_server: Read command: GET_VIRTUAL_RESIZE_RANGE
parted_server: command_get_virtual_resize_range()
parted_server: Opening outfifo
parted_server: partition_with_id(32256-19140226559)
parted_server: OUT: OK

parted_server: OUT: 512 19140194304 19140194304

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 34
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: IN: GET_RESIZE_RANGE =dev=sda 19140258816-20020331519
parted_server: Read command: GET_RESIZE_RANGE
parted_server: command_get_resize_range()
parted_server: Opening outfifo
parted_server: partition_with_id(19140258816-20020331519)
parted_server: named_partition_is_virtual(=dev=sda,37383318,39102209)
parted_server: no
parted_server: OUT: OK

parted_server: OUT: 4096 880072704 880072704

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 35
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: dev: '/var/lib/partman/devices/=dev=sda', totalfree: '0', diskfree: '15977697280', diskpart: '/var/lib/partman/devices/=dev=sda//32256-19140226559', diskpath: '/dev/sda1'
/lib/partman/automatically_partition/10resize_use_free/choices: Found resizable partition '/var/lib/partman/devices/=dev=sda//32256-19140226559' (/dev/sda1) with 15977697280 bytes free
/lib/partman/automatically_partition/20some_device/choices: *******************************************************
/lib/partman/automatically_partition/50biggest_free/choices: *******************************************************
/lib/partman/automatically_partition/50biggest_free/choices: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 36
parted_server: Opening infifo
/lib/partman/automatically_partition/80custom/choices: *******************************************************
/lib/partman/automatically_partition/20some_device/do_option: *******************************************************
/lib/partman/automatically_partition/10resize_use_free/choices: *******************************************************
/lib/partman/automatically_partition/10resize_use_free/choices: *******************************************************
/lib/partman/automatically_partition/10resize_use_free/choices: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
/lib/partman/automatically_partition/10resize_use_free/choices: paragraph: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1
/lib/partman/automatically_partition/10resize_use_free/choices: paragraph: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5
parted_server: main_loop: iteration 37
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: IN: USES_EXTENDED =dev=sda
parted_server: Read command: USES_EXTENDED
parted_server: command_uses_extended()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: yes

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 38
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: IN: GET_MAX_PRIMARY =dev=sda
parted_server: Read command: GET_MAX_PRIMARY
parted_server: command_get_max_primary()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 4

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 39
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: 1 primary partitions, 1 logical partitions
/lib/partman/automatically_partition/10resize_use_free/choices: filtered partition list:
/lib/partman/automatically_partition/10resize_use_free/choices: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1
5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5
/lib/partman/automatically_partition/10resize_use_free/choices: IN: VIRTUAL =dev=sda 32256-19140226559
parted_server: Read command: VIRTUAL
parted_server: command_virtual()
parted_server: Opening outfifo
parted_server: is virtual partition with id 32256-19140226559
parted_server: partition_with_id(32256-19140226559)
parted_server: OUT: OK

parted_server: named_partition_is_virtual(=dev=sda,63,37383254)
parted_server: no
parted_server: OUT: no

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 40
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: IN: GET_VIRTUAL_RESIZE_RANGE =dev=sda 32256-19140226559
parted_server: Read command: GET_VIRTUAL_RESIZE_RANGE
parted_server: command_get_virtual_resize_range()
parted_server: Opening outfifo
parted_server: partition_with_id(32256-19140226559)
parted_server: OUT: OK

parted_server: OUT: 512 19140194304 19140194304

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 41
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: IN: GET_RESIZE_RANGE =dev=sda 19140258816-20020331519
parted_server: Read command: GET_RESIZE_RANGE
parted_server: command_get_resize_range()
parted_server: Opening outfifo
parted_server: partition_with_id(19140258816-20020331519)
parted_server: named_partition_is_virtual(=dev=sda,37383318,39102209)
parted_server: no
parted_server: OUT: OK

parted_server: OUT: 4096 880072704 880072704

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 42
parted_server: Opening infifo
/lib/partman/automatically_partition/10resize_use_free/choices: dev: '/var/lib/partman/devices/=dev=sda', totalfree: '0', diskfree: '15977697280', diskpart: '/var/lib/partman/devices/=dev=sda//32256-19140226559', diskpath: '/dev/sda1'
/lib/partman/automatically_partition/10resize_use_free/choices: Found resizable partition '/var/lib/partman/devices/=dev=sda//32256-19140226559' (/dev/sda1) with 15977697280 bytes free
/lib/partman/automatically_partition/20some_device/choices: *******************************************************
/lib/partman/automatically_partition/50biggest_free/choices: *******************************************************
/lib/partman/automatically_partition/50biggest_free/choices: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 43
parted_server: Opening infifo
/lib/partman/automatically_partition/80custom/choices: *******************************************************
IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 44
parted_server: Opening infifo
/lib/partman/check.d/03partition_too_small: *******************************************************
/lib/partman/check.d/03partition_too_small: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 45
parted_server: Opening infifo
/lib/partman/check.d/05duplicate_labels: *******************************************************
/lib/partman/check.d/05duplicate_labels: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 46
parted_server: Opening infifo
/lib/partman/check.d/05proper_mountpoints: *******************************************************
/lib/partman/fstab.d/basic: *******************************************************
/lib/partman/fstab.d/ext3: *******************************************************
/lib/partman/fstab.d/ext3: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 47
parted_server: Opening infifo
/lib/partman/fstab.d/hostboot: *******************************************************
/lib/partman/fstab.d/hostboot: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 48
parted_server: Opening infifo
/lib/partman/fstab.d/jfs: *******************************************************
/lib/partman/fstab.d/jfs: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 49
parted_server: Opening infifo
/lib/partman/fstab.d/reiserfs: *******************************************************
/lib/partman/fstab.d/reiserfs: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 50
parted_server: Opening infifo
/lib/partman/fstab.d/reiserfs: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 51
parted_server: Opening infifo
/lib/partman/fstab.d/xfs: *******************************************************
/lib/partman/fstab.d/xfs: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 52
parted_server: Opening infifo
/lib/partman/display.d/10initial_auto: *******************************************************
/lib/partman/display.d/80manual_partitioning: *******************************************************
/lib/partman/choose_partition/45auto/choices: *******************************************************
/lib/partman/choose_partition/60partition_tree/choices: *******************************************************
/lib/partman/choose_partition/60partition_tree/choices: IN: PARTITIONS =dev=sda
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK

parted_server: OUT: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1

parted_server: OUT: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5

parted_server: Partitions printed
parted_server: OUT:

parted_server: Closing infifo and outfifo
/lib/partman/choose_partition/60partition_tree/choices: paragraph: 1 32256-19140226559 19140194304 primary ext3 /dev/sda1
/lib/partman/choose_partition/60partition_tree/choices: paragraph: 5 19140258816-20020331519 880072704 logical linux-swap /dev/sda5
parted_server: main_loop: iteration 53
parted_server: Opening infifo
/bin/partman: IN: QUIT
parted_server: Read command: QUIT
parted_server: Quitting

--- installer/dm

X.Org X Server 1.6.0
Release Date: 2009-2-25
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-23-server i686 Ubuntu
Current Operating System: Linux ubuntu 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686
Build Date: 09 April 2009 02:10:02AM
xorg-server 2:1.6.0-0ubuntu14 (<email address hidden>)
 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Jul 13 00:34:26 2009
(==) Using config file: "/etc/X11/xorg.conf"
(EE) intel(0): No valid modes.
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

 ddxSigGiveUp: Closing log
--- installer/version ---
ubiquity 1.12.12
---

ProblemType: Crash
Architecture: i386
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/bin/ubiquity-dm
InterpreterPath: /usr/bin/python2.6
MediaBuild: Ubuntu 9.04 "Jaunty Jackalope" - Release i386 (20090420.1)
Package: ubiquity 1.12.12
ProcAttrCurrent: unconfined
ProcCmdline: /usr/bin/python /usr/bin/ubiquity-dm vt7 :0 /usr/bin/ubiquity --only
ProcEnviron:
 LANGUAGE=
 PATH=(custom, no user)
 LANG=en_US.UTF-8
PythonArgs: ['/usr/bin/ubiquity-dm', 'vt7', ':0', '/usr/bin/ubiquity', '--only']
SourcePackage: ubiquity
Title: ubiquity-dm crashed with XStartupError in run()
Uname: Linux 2.6.28-11-generic i686
UserGroups:

Ceesa (markseiffert) wrote :
tags: removed: need-duplicate-check
tags: added: bugpattern-needed
Luke Faraone (lfaraone) on 2010-01-17
visibility: private → public
tags: added: bugpattern-written
removed: bugpattern-needed
Changed in ubiquity (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Canonical Foundations Team (canonical-foundations)
tags: added: bugpattern-needed

Dear friends,
I don't have the slightest idea what all this means.
I did install 9.10 for the first time on the cleaned PC for about two weeks ago.
Everything worked fine. But today the PC could not boot.
So I put the Live CD in again and after the Deestop came up there was the
error icon on the panel. Pushing the icon the Bug Reporting page came up
automatically assembling data. I can't do any more.
But I would like to know whether it is serious or whether I could do something
about it.
Best regards
Einar

ice.polar (ice-polar) wrote :

Hi everybody,

i can't see anything duplicate to the bug https://bugs.launchpad.net/bugs/398614 , which i got on a 10.04 Alpha 2 Lucid Lynx during a new Installation... i just want to point to this difference.

Because i can't see behind the scenes i believe you know what you do.

Best regards

  Ice

tags: removed: bugpattern-needed
tags: added: bugpattern-needed
Cam Cope (ccope) wrote :

Just had this error in 10.04 Beta 1.

Joachim (joachimrs) wrote :

10.04 Beta 1 here too. (System: HP 2710p Laptop)

Roy Jamison (xteejx) wrote :

Problem appeared here too after booting 10.04 beta 1 Live CD AMD64, and apport reported this was already filed. Does not appear to affect functionality.

tags: added: lucid
tags: added: iso-testing
Evan Dandrea (ev) on 2010-04-07
summary: - ubiquity crashed booting from 9.04 desktop cd
+ XStartupError: X server exited with return code 1
Evan Dandrea (ev) wrote :

Can anyone that's experiencing this bug please try with the latest lucid daily-live CD (http://cdimage.ubuntu.com/daily-live).

Please reply with whether or not you were able to boot into the installer and the date of the CD that you used. If you were unable to get into the installer, please also attach /var/log/Xorg.0.log and /var/log/installer/dm to this bug report.

You will have to switch to a virtual terminal (ctrl-alt-F2), mount a USB disk, and copy the log files onto it. This will roughly consist of the following commands, substituting your USB disk for /dev/sdb1 where necessary:
sudo mount /dev/sdb1 /mnt
cp /var/log/installer/dm /var/log/Xorg.0.log* /mnt
sudo umount /mnt

Changed in ubiquity (Ubuntu):
status: Triaged → Incomplete
happyhamster (morrgiah) wrote :

Did 5 test installations of lucid-desktop-amd64 (20100406.1) on one and the same system: no problems booting into the installer, and all installs completed successfully. Only once did the 'Sorry, the program "ubiquity-dm" closed unexpectedly.' message show, but that installation proceeded fine as well (desktop remained responsive). In other words: the only visible part of this bug* was the crash-message popping up.

*After collecting information, apport linked to this bug itself.

cashmoney (cashmoney) wrote :

Continue to get this bug everytime I boot lucid-desktop-i386 (20100406.1) on old Toshiba Satellite 1415-S105. Everything runs fine to include the installer.

Evan Dandrea (ev) wrote :

If you're getting the pop up dialog that the installer crashed, please follow the steps I outlined in comment #7 to attach logs to this bug:
https://bugs.edge.launchpad.net/ubuntu/+source/ubiquity/+bug/398614/comments/7

happyhamster (morrgiah) wrote :
happyhamster (morrgiah) wrote :

lucid-desktop-amd64.iso; daily build 20100427.1, installation from usb pendrive.

Checksum iso fine, diskcheck installer fine. No problems starting the installer, and installation appeared to proceed successfully, except for the crash icon on the panel. When booting the installed system for the first time, an automatic diskcheck was forced. Then the system rebooted, and so far, everything appears to work.

/var/log/Xorg.0.log, /var/log/syslog and /var/log/installer/debug attached (there was no /var/log/installer/dm).

Do the lines in /var/log/syslog mean the harddrive is failing?

happyhamster (morrgiah) wrote :
happyhamster (morrgiah) wrote :
Evan Dandrea (ev) wrote :

happyhamster,

Your syslog indicates a hardware fault. Please check your hard drive and it's connections.

Evan Dandrea (ev) wrote :

Please note that you only have this bug if the graphical environment fails to load when you boot the CD. If this is not what you're experiencing, please file a separate bug.

Just booted 10.04 _release_ CD and, when desktop finally appeared (waited for this about five minutes!), I saw a crash report. I pressed a report button, and got message "already bug reported". And now I'm here :)

I have exactly the same problem as ~fqc.

Hi. I tried the live 10.04 final release on a HP Pavilion Entertainment Laptop. All booted well, when I activated the restricted drivers, the crash icon appeared. The lspci command says I have a:

01:00.0 VGA compatible controller: ATI Technologies Inc M93 [Mobility Radeon HD 4500 Series]

...graphics card on the notebook.

Doug (dawilts-gmail) wrote :

Hi: I received this error with 10.04 RC on 26Apr10 when booting on a Dell 4550 desktop. When loading from the cd it did not stop at an intermediate menu to allow for selecting the live boot, install, memtest, etc. like the previous 9.10 livecd but instead went all the way to the live desktop (after several minutes) where I saw the crash icon.

On 3May10 I tried again with the full release of 10.04 and it behaved the same way on the same machine.

I also tried to boot both on a Dell Inspiron laptop (5-6 yrs old) on which 9.10 booted and installed ok. They both stopped on a blank screen after several minutes... and refused to do anything else.

Robert Elder (robertelder251) wrote :

I didn't find this error to be occurring in the 10.04 release.

10.04 normal release: Toshiba Satellite, no hard-drive - usb-stick. Did LL test-install without asking whether I wanted to to full install on my (absent) hard-drive ? If so, wonderful !

valkyr (locki) wrote :

Booted the LiveCD (off "Startup Disk Creator" built USB), was dumped at console login, X didn't start.

Did "startx" and went through the installation process.

Crash indicator was present at the end.

Kalman Reti (kalman-reti) wrote :

This happened to me while just booting a meerkat livecd.

Kalman Reti (kalman-reti) wrote :
Kalman Reti (kalman-reti) wrote :
svaens (svaens) wrote :

Just started 10.10 on the live CD,

first thing I see in the panel is that something crashed.

Apport crash, apparently, according to the report.

So, if Ubuntu cares at all about getting (and keeping) new potential users, it will fix these stupid minor bugs that plague the system, and make it look still too unprofessional an OS to consider migrating to.

Install from desktop / cd, in panel report of crash. Installing inside Oracle VM Virtualbox. Install and desktop continues to work.

fyo (fyo) wrote :

Booted from USB version of Natty Alpha3 Desktop CD. Chose Live test on startup, whereupon "something" crashed and a blank desktop screen was shown with no interaction possibilities. An attempt by the system to upload a 200MB (!) crash report failed since wireless networking wasn't up/connected.

After killing gnome-session manually, Unity launched and the system was usable. A new crash report request came up and accepting it sent the browser to this bug with information that the issue had already been reported.

System: Acer Aspire 1810TZ (Core2duo/CULV processor, Intel GMA4500HMD graphics, 3GB RAM)

Bob Myles (bobmyles) wrote :

Brand new HP G-42. I once installed Ubuntu 10.10 successfully but did not use the machine for a few weeks and forgot password. Tried to reinstall from CD and specified to remove existing partitions and use entire disk. The installation stops at about the 4/5 mark and displays a message that the CPU Power or Thermal Limit have been exceeded, though the laptop is cool to the touch.

Bought cool plate for PC and tried again but got the same error and the messages alternate between CPU or MPU thermal limit exceeded ad nauseam without finishing the installation.

BTW a password hint option would be a very helpful feature.

Colin Watson (cjwatson) on 2011-06-14
Changed in ubiquity (Ubuntu):
assignee: Canonical Foundations Team (canonical-foundations) → Evan Dandrea (ev)
tags: added: ubiquity-2.2.23
Zaz (knutnik) wrote :

Hey,

just installed Ubuntu for the first time and got this bug. I'm complete beginner and have no idea about programing or anything more advanced concerning Ubuntu.

I have Thinkpad T61 with damaged NVidia graphic card. Under Windows 7, the screen is practically illegible but under Ubuntu it works normally. This is the reason why I use Ubuntu.

So here's my question: How can I fix this bug? I need a kind of idiots guide..

Thanks so much!

Changed in ubiquity (Ubuntu):
assignee: Evan Dandrea (ev) → clarke holm (clarke-holm)
status: Incomplete → Fix Released
sam tygier (samtygier) wrote :

I got a crash with todays precise daily livecd that brought me to this bug.

affects: ubiquity (Ubuntu) → bug-repo-syncer
Changed in bug-repo-syncer:
assignee: clarke holm (clarke-holm) → Budiman Saputra (budi-27satu86)
Colin Watson (cjwatson) wrote :

Please do not change the status of this bug unless you're a ubiquity developer.

affects: bug-repo-syncer → ubiquity (Ubuntu)
Changed in ubiquity (Ubuntu):
assignee: Budiman Saputra (budi-27satu86) → Evan Dandrea (ev)
status: Fix Released → Incomplete
Changed in ubiquity (Ubuntu):
status: Incomplete → New
Evan Dandrea (ev) on 2013-05-30
Changed in ubiquity (Ubuntu):
assignee: Evan Dandrea (ev) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers